﻿<Window x:Class="FIFO_Puffer.MainWindow"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:local="clr-namespace:FIFO_Puffer"
        mc:Ignorable="d"
        Title="FIFO-Puffer" Height="200" Width="300">
    <Grid>
        <Grid.ColumnDefinitions>
            <ColumnDefinition Width="10"></ColumnDefinition>
            <ColumnDefinition Width="2*"></ColumnDefinition>
            <ColumnDefinition Width="*"></ColumnDefinition>
            <ColumnDefinition Width="2*"></ColumnDefinition>
            <ColumnDefinition Width="10"></ColumnDefinition>
        </Grid.ColumnDefinitions>
        <Grid.RowDefinitions>
            <RowDefinition Height="10"></RowDefinition>
            <RowDefinition Height="30"></RowDefinition>
            <RowDefinition Height="*"></RowDefinition>
            <RowDefinition Height="30"></RowDefinition>
            <RowDefinition Height="*"></RowDefinition>
            <RowDefinition Height="30"></RowDefinition>
            <RowDefinition Height="*"></RowDefinition>
            <RowDefinition Height="30"></RowDefinition>
            <RowDefinition Height="10"></RowDefinition>
        </Grid.RowDefinitions>

        <Label Content="Puffergrösse" Grid.Row="1" Grid.Column="1"></Label>
        <TextBox x:Name="Input_Size_Text_Box" Grid.Row="1" Grid.Column="2" Margin="3"></TextBox>
        <Button x:Name="Create_Button" Content="Puffer erstellen" Margin="3" Click="Create_Button_Click" Grid.Row="1" Grid.Column="3"></Button>

        <Label Name="Label_Input" Content="Eingabe" Grid.Row="3" Grid.Column="1" IsEnabled="False"></Label>
        <TextBox x:Name="Input_Text_Box" Grid.Row="3" Grid.Column="2" Margin="3" IsEnabled="True"></TextBox>
        <Button x:Name="Put_Button" Content="Put" Margin="3" Click="Put_Button_Click" IsEnabled="False" Grid.Column="3" Grid.Row="3"></Button>

        <Button x:Name="Get_Button" Content="Get" Margin="3" Click="Get_Button_Click" IsEnabled="False" Grid.Row="5" Grid.Column="1"></Button>
        <Button x:Name="Get_All_Button" Content="Get All" Margin="3" Click="Get_All_Button_Click" IsEnabled="False" Grid.Row="5" Grid.Column="3"></Button>

        <Label Content="Ausgabe" Grid.Row="7" Grid.Column="1"></Label>
        <TextBox x:Name="Output_Text_Box" Grid.Row="7" Grid.Column="2" Grid.ColumnSpan="2" Margin="3" IsReadOnly="True"></TextBox>
    </Grid>
</Window>
